# Uses of Class
javafx.scene.input.SwipeEvent

Packages that use SwipeEvent
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of SwipeEvent in javafx.scene

Methods in javafx.scene that return types with arguments of type SwipeEvent
Modifier and Type
Method
Description
`final EventHandler<? super SwipeEvent>`
Node.`getOnSwipeDown()`
Gets the value of the `onSwipeDown` property.
`final EventHandler<? super SwipeEvent>`
Scene.`getOnSwipeDown()`
Gets the value of the `onSwipeDown` property.
`final EventHandler<? super SwipeEvent>`
Node.`getOnSwipeLeft()`
Gets the value of the `onSwipeLeft` property.
`final EventHandler<? super SwipeEvent>`
Scene.`getOnSwipeLeft()`
Gets the value of the `onSwipeLeft` property.
`final EventHandler<? super SwipeEvent>`
Node.`getOnSwipeRight()`
Gets the value of the `onSwipeRight` property.
`final EventHandler<? super SwipeEvent>`
Scene.`getOnSwipeRight()`
Gets the value of the `onSwipeRight` property.
`final EventHandler<? super SwipeEvent>`
Node.`getOnSwipeUp()`
Gets the value of the `onSwipeUp` property.
`final EventHandler<? super SwipeEvent>`
Scene.`getOnSwipeUp()`
Gets the value of the `onSwipeUp` property.
`final ObjectProperty<EventHandler<? super SwipeEvent>>`
Node.`onSwipeDownProperty()`
Defines a function to be called when a downward swipe gesture centered over this node happens.
`final ObjectProperty<EventHandler<? super SwipeEvent>>`
Scene.`onSwipeDownProperty()`
Defines a function to be called when an downward swipe gesture happens in this scene.
`final ObjectProperty<EventHandler<? super SwipeEvent>>`
Node.`onSwipeLeftProperty()`
Defines a function to be called when a leftward swipe gesture centered over this node happens.
`final ObjectProperty<EventHandler<? super SwipeEvent>>`
Scene.`onSwipeLeftProperty()`
Defines a function to be called when an leftward swipe gesture happens in this scene.
`final ObjectProperty<EventHandler<? super SwipeEvent>>`
Node.`onSwipeRightProperty()`
Defines a function to be called when an rightward swipe gesture centered over this node happens.
`final ObjectProperty<EventHandler<? super SwipeEvent>>`
Scene.`onSwipeRightProperty()`
Defines a function to be called when an rightward swipe gesture happens in this scene.
`final ObjectProperty<EventHandler<? super SwipeEvent>>`
Node.`onSwipeUpProperty()`
Defines a function to be called when an upward swipe gesture centered over this node happens.
`final ObjectProperty<EventHandler<? super SwipeEvent>>`
Scene.`onSwipeUpProperty()`
Defines a function to be called when an upward swipe gesture happens in this scene.
Method parameters in javafx.scene with type arguments of type SwipeEvent
Modifier and Type
Method
Description
`final void`
Node.`setOnSwipeDown(EventHandler<? super SwipeEvent> value)`
Sets the value of the `onSwipeDown` property.
`final void`
Scene.`setOnSwipeDown(EventHandler<? super SwipeEvent> value)`
Sets the value of the `onSwipeDown` property.
`final void`
Node.`setOnSwipeLeft(EventHandler<? super SwipeEvent> value)`
Sets the value of the `onSwipeLeft` property.
`final void`
Scene.`setOnSwipeLeft(EventHandler<? super SwipeEvent> value)`
Sets the value of the `onSwipeLeft` property.
`final void`
Node.`setOnSwipeRight(EventHandler<? super SwipeEvent> value)`
Sets the value of the `onSwipeRight` property.
`final void`
Scene.`setOnSwipeRight(EventHandler<? super SwipeEvent> value)`
Sets the value of the `onSwipeRight` property.
`final void`
Node.`setOnSwipeUp(EventHandler<? super SwipeEvent> value)`
Sets the value of the `onSwipeUp` property.
`final void`
Scene.`setOnSwipeUp(EventHandler<? super SwipeEvent> value)`
Sets the value of the `onSwipeUp` property.

## Uses of SwipeEvent in javafx.scene.input

Fields in javafx.scene.input with type parameters of type SwipeEvent
Modifier and Type
Field
Description
`static final EventType<SwipeEvent>`
SwipeEvent.`ANY`
Common supertype for all swipe event types.
`static final EventType<SwipeEvent>`
SwipeEvent.`SWIPE_DOWN`
This event occurs when user performs downward swipe gesture.
`static final EventType<SwipeEvent>`
SwipeEvent.`SWIPE_LEFT`
This event occurs when user performs leftward swipe gesture.
`static final EventType<SwipeEvent>`
SwipeEvent.`SWIPE_RIGHT`
This event occurs when user performs rightward swipe gesture.
`static final EventType<SwipeEvent>`
SwipeEvent.`SWIPE_UP`
This event occurs when user performs upward swipe gesture.
Methods in javafx.scene.input that return SwipeEvent
Modifier and Type
Method
Description
`SwipeEvent`
SwipeEvent.`copyFor(Object newSource, EventTarget newTarget)`
`SwipeEvent`
SwipeEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<SwipeEvent> type)`
Creates a copy of the given event with the given fields substituted.
Methods in javafx.scene.input that return types with arguments of type SwipeEvent
Modifier and Type
Method
Description
`EventType<SwipeEvent>`
SwipeEvent.`getEventType()`
Method parameters in javafx.scene.input with type arguments of type SwipeEvent
Modifier and Type
Method
Description
`SwipeEvent`
SwipeEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<SwipeEvent> type)`
Creates a copy of the given event with the given fields substituted.
Constructor parameters in javafx.scene.input with type arguments of type SwipeEvent
Modifier
Constructor
Description
``
`SwipeEvent(Object source, EventTarget target, EventType<SwipeEvent> eventType, double x, double y, double screenX, double screenY, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown, boolean direct, int touchCount, PickResult pickResult)`
Constructs new SwipeEvent event.
``
`SwipeEvent(EventType<SwipeEvent> eventType, double x, double y, double screenX, double screenY, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown, boolean direct, int touchCount, PickResult pickResult)`
Constructs new SwipeEvent event with null source and target.